Skip Navigation

This thread is resolved. Here is a description of the problem and solution.

Problem:Automatic update is not working

Solution:to do a manual update please follow these steps:

1. Backup your database – see for example: http://wordpress.org/extend/plugins/wp-db-backup/

2. Deactivate the existing WPML plugin and add-ons.

3. Delete the WPML plugins

4. Download the updated plugins from our servers and upload them to the plugin directory.

5. Activate the WPML plugin and add-ons.

Where to download the plugins : wpml.org/account/downloads/

Relevant Documentation:

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 6 replies, has 3 voices.

Last updated by Bobby 2 years, 6 months ago.

Assigned support staff: Bobby.

Author Posts
January 8, 2018 at 11:05 am #1476151

adelheidS

I am trying to: Update to 3.9

Link to a page where the issue can be seen: hidden link

I expected to see: successful update

Instead, I got: Error processing request (parsererror). Please try again!
(I tried several times over the past hour).

What's more, when installing and activating WPML String Translation and WPML Translation Management it seemed to be never ending. After 10 mins or so I stopped those installations but then they appeared as installed (see screenshot). But it still says "To easily translate Enfold, you need to add the following WPML components: WPML String Translation and WPML Translation"

Not a good start into my Multilingual CMS for life 😉

Thanks to advise,
Max

January 8, 2018 at 11:19 am #1476189

Amit
Supporter

Hi Max,

Thanks for the update -

1. I can see on the screen that you have shared that you do not meet the minimum requirements for WordPress - can you please update the memory limit for your site and then try again?
2. Please also click the check for updates and try again

For more information please see this: https://wpml.org/home/minimum-requirements/

If after extending the memory limit you still have this issue please let us know and we'll help,

Cheers!

January 8, 2018 at 1:19 pm #1476422

adelheidS

Hi Amit,
thanks for your response.

In the link you provided it says reg. requirements: "PHP 5.3 and above with memory limit of at least 128MB"
As you can see I have PHP 7.1.and 256MB memory limit, so I'm way above the requirements.

Thanks to advise,
Max

January 8, 2018 at 2:13 pm #1476514

adelheidS

Please see below self-explaining screenshots and note the time in lower right corner.

January 8, 2018 at 6:28 pm #1476930

Bobby
Supporter

Languages: English (English )

Timezone: America/Los_Angeles (GMT-07:00)

Hello Max,

As a test please try the following.

For this time , do not use the automatic update but rather try to update manually and let me know your results

to do a manual update please follow these steps:

1. Backup your database – see for example: http://wordpress.org/extend/plugins/wp-db-backup/

2. Deactivate the existing WPML plugin and add-ons.

3. Delete the WPML plugins

4. Download the updated plugins from our servers and upload them to the plugin directory.

5. Activate the WPML plugin and add-ons.

Where to download the plugins : wpml.org/account/downloads/

January 8, 2018 at 6:47 pm #1476966
adelheidS

Hi Bobby,
thanks, it seems to work now. It's unfortunate though that the update process wasn't working as it should.

BTW, can you tell me please why the flags for each except the main language show twice?
Pls see hidden link

Thanks,
Max

New threads created by Bobby and linked to this one are listed below:

https://wpml.org/forums/topic/split-flags-show-twice/

January 8, 2018 at 10:44 pm #1477172

Bobby
Supporter

Languages: English (English )

Timezone: America/Los_Angeles (GMT-07:00)

Resolved.